Subject: Re: [DISCUSSION] Growing the Git community

From: Derrick Stolee <[email-masked]>
Date: Thu, 19 Sep 2019 22:17:57 -0400

On 9/19/2019 6:16 PM, Jeff King wrote:
> On Thu, Sep 19, 2019 at 12:30:13PM -0400, Derrick Stolee wrote:
>>
>> 5. Advertise that Git wants new contributors
>>
> This point is the one I'm least on board with. Not because I'm not
> thrilled to have new contributors, but that to some degree I think the
> open source system relies heavily on intrinsic motivations like
> scratching your own itch. I'm worried that advertising "hey, we need
> people to work on stuff!" then brings in people who are well-meaning but
> don't necessarily care much about Git in particular. And it becomes an
> administrative headache to try to figure out things for them to do, or
> get them acclimated to the community.

Your concerns are valid.
 
> I.e., I think we want to grow the community a bit more organically,
> which should be more sustainable in the long run.>
> So I think any advertising would be more about making it clear that _if_
> you have an idea, we're very interested in welcoming newcomers. And that
> to me falls under a lot of the points already made above: making the
> process more clear and more inviting to people who are already thinking
> about contributing.

I guess I was vague about this. It's not "we need more people to work on
our (non-existent) backlog" but instead "if you have an interest in
contributing your (existing) ideas to Git, we welcome you with open arms!"

Thanks,
-Stolee